<?xml version="1.0"?>
<!DOCTYPE fontconfig SYSTEM "fonts.dtd">
<fontconfig>

<!-- Default setup of hintstyle -->

<!--
bug#722427
general advice: use hintfull for BCI, hintlight for autohinter
exceptions will follow
-->
	<match target="font">
		<test name="autohint">	
			<bool>false</bool>
		</test>
                <edit name="hintstyle">
                        <const>hintfull</const>
                </edit>
	</match>

	<match target="font">
		<test name="autohint">	
			<bool>true</bool>
		</test>
                <edit name="hintstyle">
                        <const>hintslight</const>
                </edit>
	</match>

<!--
exceptions:
-->

  <!-- Cantarell: according to coauthor, cantarell doesn't have
       any byte code, so following should give the best results 
       on most monitors -->

  <match target="font">
    <test name="family">
      <string>Cantarell</string>
    </test>
    <edit name="autohint" mode="assign">
      <bool>true</bool>
    </edit>
    <edit name="hintstyle" mode="assign">
      <const>hintfull</const>
    </edit>
  </match>

  <!-- IPA* fonts: setting hintstyle=hintnone for now, IPA font 
       setting should be improved in the future [bnc#766319] 
       We are using fullname element instead of family, because
       some programs may use Japanese name instead, which would
       double this list, when using family element. See comment
       47 and 48 of referred bug. -->

  <match target="font">
    <test name="fullname"><string>IPAexGothic</string></test>
    <edit name="hintstyle"><const>hintnone</const></edit>
  </match>
  <match target="font">
    <test name="fullname"><string>IPAexMincho</string></test>
    <edit name="hintstyle"><const>hintnone</const></edit>
  </match>
  <match target="font">
    <test name="fullname"><string>IPAGothic BoldItalic</string></test>
    <edit name="hintstyle"><const>hintnone</const></edit>
  </match>
  <match target="font">
    <test name="fullname"><string>IPAGothic Bold</string></test>
    <edit name="hintstyle"><const>hintnone</const></edit>
  </match>
  <match target="font">
    <test name="fullname"><string>IPAGothic Italic</string></test>
    <edit name="hintstyle"><const>hintnone</const></edit>
  </match>
  <match target="font">
    <test name="fullname"><string>IPAGothic</string></test>
    <edit name="hintstyle"><const>hintnone</const></edit>
  </match>
  <match target="font">
    <test name="fullname"><string>IPAMincho</string></test>
    <edit name="hintstyle"><const>hintnone</const></edit>
  </match>
  <match target="font">
    <test name="fullname"><string>IPAPGothic BoldItalic</string></test>
    <edit name="hintstyle"><const>hintnone</const></edit>
  </match>
  <match target="font">
    <test name="fullname"><string>IPAPGothic Bold</string></test>
    <edit name="hintstyle"><const>hintnone</const></edit>
  </match>
  <match target="font">
    <test name="fullname"><string>IPAPGothic Italic</string></test>
    <edit name="hintstyle"><const>hintnone</const></edit>
  </match>
  <match target="font">
    <test name="fullname"><string>IPAPGothic</string></test>
    <edit name="hintstyle"><const>hintnone</const></edit>
  </match>
  <match target="font">
    <test name="fullname"><string>IPAPMincho</string></test>
    <edit name="hintstyle"><const>hintnone</const></edit>
  </match>
  <match target="font">
    <test name="fullname"><string>IPAUIGothic</string></test>
    <edit name="hintstyle"><const>hintnone</const></edit>
  </match>

</fontconfig>
